Package org.eclipse.jface.text

# Interface ITextListener

All Known Implementing Classes:
  `HyperlinkManager`, `MergeSourceViewer`, `PaintManager`

public interface ITextListener
Text listeners registered with a text viewer are informed about all modifications of an `ITextViewer` by means of text events. A text event describes a change as a replace operation.

The changes described in the event are the changes applied to the text viewer's widget (i.e., its visual representation) and not those applied to the text viewer's document. The text event can be asked to return the corresponding document event. If the text event does not contain a document event, the modification of the text viewer is a presentation change. For example, changing the visible region of a text viewer, is a presentation change. A completely empty text event represents a change of the viewer's redraw state.

If a text listener receives a text event, it is guaranteed that both the document and the viewer's visual representation are synchronized.

Clients may implement this interface.

See Also:
  - `ITextViewer`
  - `TextEvent`
  - `DocumentEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`textChanged(TextEvent event)`
The visual representation of a text viewer this listener is registered with has been changed.

## Method Details

### textChanged

void textChanged(TextEvent event)
The visual representation of a text viewer this listener is registered with has been changed.

Parameters:
  `event` - the description of the change